#ifndef LEVEL_INCLUDE_H
#define LEVEL_INCLUDE_H

#include <genesis.h>
#include <vdp_spr.h>

#include "Door.h"
#include "Map.h"
#include "VDPManager.h"

typedef void (*LevelFunctionType)(void);

typedef struct Level
{
    LevelFunctionType           InitLevel;
    LevelFunctionType           UpdateLevel;
    const VPMap*                foregroundMap;
    const VPMap*                backgroundMap;
    const struct Level*         nextlevel;
} Level;

#endif

