#ifndef STATE_MANAGER_INCLUDE_H
#define STATE_MANAGER_INCLUDE_H

#include <genesis.h>

#include "Debug.h"

//#define DEBUG_STATE_MANAGER

typedef void (*StateFunctionType)();

extern StateFunctionType StateManager_CurrentState;

void StateManager_Init();

#ifndef DEBUG_STATE_MANAGER
void StateManager_ChangeToState(StateFunctionType stateFunction);
#else
void StateManager_ChangeToStateFunction(StateFunctionType stateFunction);
#define StateManager_ChangeToState(function) {Print(#function);StateManager_ChangeToStateFunction(function);}
#endif

#endif
