#include "smallobstacle.h"

#include <genesis.h>

#include "..\Debug.h"
#include "..\generated\AllLevels.h"
#include "..\exported\ExportedGenResSprites.h"
#include "..\exported\ExportedMaps.h"
#include "..\FadeManager.h"
#include "..\MathUtils.h"
#include "..\VDPManager.h"

void SmallObstacle_InitLevel()
{
    LOAD_GENRES_SPRITE_TO_VDP(enemy);

    FadeManager_SetPalette(PAL0, girlSprite.pal);
    FadeManager_SetPalette(PAL1, pingouin_roseSprite.pal);
    FadeManager_SetPalette(PAL2, wharf_tilesetSprite.pal);
    FadeManager_SetPalette(PAL3, wharf_tilesetSprite.pal);
}

void SmallObstacle_UpdateLevel()
{

}

const Level smallobstacle =
{
    SmallObstacle_InitLevel,
    SmallObstacle_UpdateLevel,
    &smallobstacle_map,
    &background_map,
    &smallobstacle2
};

