#include "verticalplatform.h"

#include <genesis.h>

#include "..\Debug.h"
#include "..\generated\AllLevels.h"
#include "..\exported\ExportedGenResSprites.h"
#include "..\exported\ExportedMaps.h"
#include "..\FadeManager.h"
#include "..\MathUtils.h"
#include "..\VDPManager.h"

void VerticalPlatform_InitLevel()
{
    LOAD_GENRES_SPRITE_TO_VDP(enemy);

    FadeManager_SetPalette(PAL0, girlSprite.pal);
    FadeManager_SetPalette(PAL1, pingouin_roseSprite.pal);
    FadeManager_SetPalette(PAL2, wharf_tilesetSprite.pal);
    FadeManager_SetPalette(PAL3, wharf_tilesetSprite.pal);
}

void VerticalPlatform_UpdateLevel()
{

}

const Level verticalplatform =
{
    VerticalPlatform_InitLevel,
    VerticalPlatform_UpdateLevel,
    &verticalplatform_map,
    &background_map,
    &ending
};

