#include "BebePingouin.h"

#include "ObjectCommon.h"
#include "Pingouin.h"

const GGAnimation* const bebePingouinAnimations[] = 
{
    &BebePingouinIdle,
    &BebePingouinWalk,
    &BebePingouinJump,
    &BebePingouinHappy
};

ObjectStruct* BebePingouinCreate(s16 x, s16 y)
{
    ObjectStruct* object = PingouinCreate(x, y);

    object->animation = &BebePingouinIdle;
    object->extra2 = (s32)&bebePingouinAnimations;

    return object;
}

