#include "PingouinBleu.h"

#include "ObjectCommon.h"
#include "Pingouin.h"

const GGAnimation* const pingouinBleuAnimations[] = 
{
    &PingouinBleuIdle,
    &PingouinBleuWalk,
    &PingouinBleuJump,
    &PingouinBleuHappy
};

ObjectStruct* PingouinBleuCreate(s16 x, s16 y)
{
    ObjectStruct* object = PingouinCreate(x, y);

    object->animation = &PingouinBleuIdle;
    object->extra2 = (s32)&pingouinBleuAnimations;

    return object;
}

