#include "PingouinRose.h"

#include "ObjectCommon.h"
#include "Pingouin.h"

const GGAnimation* const pingouinRoseAnimations[] = 
{
    &PingouinRoseIdle,
    &PingouinRoseWalk,
    &PingouinRoseJump,
    &PingouinRoseHappy
};


ObjectStruct* PingouinRoseCreate(s16 x, s16 y)
{
    ObjectStruct* object = PingouinCreate(x, y);

    object->animation = &PingouinRoseIdle;
    object->extra2 = (s32)&pingouinRoseAnimations;

    return object;
}

