#include "PlatformBase.h"

#include "ObjectCommon.h"

void PlatformBaseDestroy(ObjectStruct* object)
{
}

void PlatformBaseCollide(ObjectStruct* object, ObjectStruct* collidedObject)
{
    if (playerData.platform != object &&
        playerData.platform == NULL)
    {
        if (playerData.playerState == PLAYERSTATE_FALL)
        {
            extern const s16 touchPointLeftOffset;
            extern const s16 touchPointRightOffset;

            s16 collidedObjectLeftX = collidedObject->x + touchPointLeftOffset;
            s16 collidedObjectRightX = collidedObject->x + touchPointRightOffset;
            s16 collidedObjectY = collidedObject->y + PIXEL_TO_VIRTUAL(PLAYER_PIXEL_HEIGHT);

            if (PointInObjectRect(collidedObjectLeftX, collidedObjectY, object) ||
                PointInObjectRect(collidedObjectRightX, collidedObjectY, object))
            {
                /*
                if (!PointInObjectRect(collidedObjectLeftX - collidedObject->speedx + object->speedx, collidedObjectY - collidedObject->speedy + object->speedy, object) &&
                    !PointInObjectRect(collidedObjectRightX - collidedObject->speedx + object->speedx, collidedObjectY - collidedObject->speedy + object->speedy, object))
                */
                {
                    playerData.platform = object;

                    collidedObject->y = object->y - PIXEL_TO_VIRTUAL(PLAYER_PIXEL_HEIGHT);

                    PlayerManager_CallOnPhysicsCollisionFunction();
                }
            }
        }
    }
}
