#ifndef DOOR_INCLUDE_H
#define DOOR_INCLUDE_H

#include <genesis.h>

// defines an area where if the player touches it, it warps to a 
// new level at a destination door area.

#define DOOR_LEFT   0
#define DOOR_RIGHT  1
#define DOOR_BOTTOM 2

typedef struct 
{
    s16 left;
    s16 right;
    s16 top;
    s16 bottom;
    u16 doorType;
} Door;

#endif
