#include "simple.h"

#include <genesis.h>

#include "..\Debug.h"
#include "..\generated\AllLevels.h"
#include "..\exported\ExportedGenResSprites.h"
#include "..\exported\ExportedMaps.h"
#include "..\FadeManager.h"
#include "..\MathUtils.h"
#include "..\VDPManager.h"

void Simple_InitLevel()
{
    LOAD_GENRES_SPRITE_TO_VDP(enemy);

    FadeManager_SetPalette(PAL0, girlSprite.pal);
    FadeManager_SetPalette(PAL1, pingouin_roseSprite.pal);
    FadeManager_SetPalette(PAL2, wharf_tilesetSprite.pal);
    FadeManager_SetPalette(PAL3, wharf_tilesetSprite.pal);
}

void Simple_UpdateLevel()
{

}

const Level simple =
{
    Simple_InitLevel,
    Simple_UpdateLevel,
    &simple_map,
    &background_map,
    &slopes
};

