#ifndef OBJECT_MOVEMENT_INCLUDE_H
#define OBJECT_MOVEMENT_INCLUDE_H

#include <genesis.h>
#include "..\ObjectStruct.h"

void UpdateObjectLeftRightWalkPhysics(ObjectStruct* objectStruct, 
                                      s16 (*leftRightCollisionCheck)(ObjectStruct* objectStruct, s16 speedx), 
                                      s16 sensorOffsetInPixels);

void UpdateObjectFall(ObjectStruct* objectStruct, 
                      s16 leftSensorX, 
                      s16 rightSensorX, 
                      s16 yOffset,
                      void (*onGroundTouchCallback)(ObjectStruct* objectStruct));

#endif

