#include "Peggy.h"

#include "ObjectCommon.h"
#include "Pingouin.h"

const GGAnimation* const peggyAnimations[] = 
{
    &PeggyIdle,
    &PeggyWalk,
    &PeggyJump,
    &PeggyHappy
};

ObjectStruct* PeggyCreate(s16 x, s16 y)
{
    ObjectStruct* object = PingouinCreate(x, y);

    object->animation = &PeggyIdle;
    object->extra2 = (s32)&peggyAnimations;

    return object;
}

