#include "PetitPingouin.h"

#include "ObjectCommon.h"
#include "Pingouin.h"

const GGAnimation* const PetitPingouinAnimations[] = 
{
    &PetitPingouinIdle,
    &PetitPingouinWalk,
    &PetitPingouinJump,
    &PetitPingouinHappy
};

ObjectStruct* PetitPingouinCreate(s16 x, s16 y)
{
    ObjectStruct* object = PingouinCreate(x, y);

    object->animation = &PetitPingouinIdle;
    object->extra2 = (s32)&PetitPingouinAnimations;

    return object;
}

