#include "PingouinBalle.h"

#include "ObjectCommon.h"
#include "Pingouin.h"

const GGAnimation* const pingouinBalleAnimations[] = 
{
    &PingouinBalleIdle,
    &PingouinBalleIdle,
    &PingouinBalleJump,
    &PingouinBalleHappy
};

ObjectStruct* PingouinBalleCreate(s16 x, s16 y)
{
    ObjectStruct* object = PingouinCreate(x, y);

    object->animation = &PingouinBalleIdle;
    object->extra2 = (s32)&pingouinBalleAnimations;

    return object;
}

